petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatProductClear

Clears matrix product internal structure.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductClear(Mat mat)

Collective on Mat

### Input Parameters

| mat | - the product matrix

Notes: this function should be called to remove any intermediate data used by the product After having called this function, MatProduct operations can no longer be used on mat

### Level

intermediate

### Location

src/mat/interface/matproduct.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages